Chinaunix首页 | 论坛 | 博客
  • 博客访问: 1156964
  • 博文数量: 290
  • 博客积分: 3468
  • 博客等级: 中校
  • 技术积分: 3461
  • 用 户 组: 普通用户
  • 注册时间: 2010-12-28 22:21
文章分类

全部博文(290)

文章存档

2016年(13)

2015年(3)

2014年(42)

2013年(67)

2012年(90)

2011年(75)

分类: LINUX

2011-09-30 09:49:46

原文链接: http://www.duyaofei.com/

Debian官方的源一般都以稳定为主,所以里面的软件版本也相对比较低,Dotdeb的源更新速度比较快,而且里面的软件包都是最新稳定版的,所以我使用Debian一般都喜欢加入Dotdeb的源,安装最新的稳定版软件。

    根据Dotdeb.org官方的使用说明,对照着英文大概翻译下Dotdeb源的使用方法:

    1.根据你使用的Debian的发行版本(lenny/oldstable 或 squeeze/stable),在/etc/apt/sources.list文件中加入两行(选择最近的镜像站):
    Squeeze :
    deb http://packages.dotdeb.org stable all
    deb-src http://packages.dotdeb.org stable all
    Lenny :
    deb http://packages.dotdeb.org oldstable all
    deb-src http://packages.dotdeb.org oldstable all

    2.(可选)如果你使用Debian 5.0 “Lenny” 版本,而且你想使用PHP 5.3取代PHP 5.2,在/etc/apt/sources.list文件中添加如下所示的两行内容。:
    deb http://php53.dotdeb.org oldstable all
    deb-src http://php53.dotdeb.org oldstable all
    注:如果你在使用Debian 6.0 “Squeeze” 版本就不用加了,因为PHP 5.3在Debian 6.0 “Squeeze”中默认就有

    3.然后获取GnuPG 密钥
    wget http://www.dotdeb.org/dotdeb.gpg
    cat dotdeb.gpg | apt-key add -

    4.运行 apt-get update

    5.最后就可以使用apt-get (dselect或aptitude等命令)使用Dotdeb的软件包了

阅读(1039) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~